summaryrefslogtreecommitdiff
path: root/dev-ruby/chruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
commitd97953e6ff67978da9554e7b4601aedceb21e215 (patch)
tree674053c902db6972b9716c9ac3b1e960ee7a5358 /dev-ruby/chruby
parent1d1fa5bb30df70070bbbbd2b777b839d31f09c41 (diff)
downloadbaldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.gz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.xz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.zip
Adding metadata
Diffstat (limited to 'dev-ruby/chruby')
-rw-r--r--dev-ruby/chruby/Manifest1
-rw-r--r--dev-ruby/chruby/chruby-0.3.9-r3.ebuild33
-rw-r--r--dev-ruby/chruby/chruby-9999.ebuild41
-rw-r--r--dev-ruby/chruby/files/systemwide.sh7
-rw-r--r--dev-ruby/chruby/metadata.xml13
5 files changed, 95 insertions, 0 deletions
diff --git a/dev-ruby/chruby/Manifest b/dev-ruby/chruby/Manifest
new file mode 100644
index 000000000000..44827c25a6eb
--- /dev/null
+++ b/dev-ruby/chruby/Manifest
@@ -0,0 +1 @@
+DIST chruby-0.3.9.tar.gz 20911 BLAKE2B 4dd797b15987cca163dfdbbc755aef072b7f56069a4392080fc20c21eb9e9ba7e6f1d6e18e9d1fd45c789a79af29336be83c890c96d98cf58833eb035f929db4 SHA512 7d9565dc5285ba53d5c3a9e87a70079d16d7933353d31ea8eca9de21eb59f3bd5134f1883e72019e002bf2eaab5b562bdcd20a154663590fc97e8b8506956f3c
diff --git a/dev-ruby/chruby/chruby-0.3.9-r3.ebuild b/dev-ruby/chruby/chruby-0.3.9-r3.ebuild
new file mode 100644
index 000000000000..f342c7ecbcec
--- /dev/null
+++ b/dev-ruby/chruby/chruby-0.3.9-r3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Changes the current Ruby"
+HOMEPAGE="https://github.com/postmodern/chruby"
+SRC_URI="https://github.com/postmodern/chruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="test"
+
+DEPEND="|| ( >=app-shells/bash-3.0:* app-shells/zsh )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ if [ -n "${PVR}" ] ; then
+ sed -i Makefile -e "s/^VERSION=${PV}$/VERSION=${PVR}/" \
+ || die "can't fix doc location to follow Gentoo/FHS guidelines"
+ fi
+}
+
+src_install() {
+ # TODO: Remove `${D}` from PREFIX in >=chruby-0.3.10 (https://git.io/JPQ25)
+ emake DESTDIR="${D}" PREFIX="${D}/usr" install
+
+ insinto "/etc/profile.d"
+ newins "${FILESDIR}/systemwide.sh" "chruby.sh"
+}
diff --git a/dev-ruby/chruby/chruby-9999.ebuild b/dev-ruby/chruby/chruby-9999.ebuild
new file mode 100644
index 000000000000..bd7345d78725
--- /dev/null
+++ b/dev-ruby/chruby/chruby-9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} == *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/postmodern/chruby.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/postmodern/chruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Changes the current Ruby"
+HOMEPAGE="https://github.com/postmodern/chruby"
+
+LICENSE="MIT"
+SLOT="0"
+RESTRICT="test"
+
+DEPEND="|| ( >=app-shells/bash-3.0:* app-shells/zsh )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ sed -i Makefile -e "s/^VERSION=.\+$/VERSION=${PVR}/" \
+ || die "can't fix doc location to follow Gentoo/FHS guidelines"
+}
+
+src_install() {
+ local emakeargs=(
+ DESTDIR="$D"
+ PREFIX="/usr"
+ )
+
+ emake "${emakeargs[@]}" install
+
+ insinto "/etc/profile.d"
+ newins "${FILESDIR}/systemwide.sh" "chruby.sh"
+}
diff --git a/dev-ruby/chruby/files/systemwide.sh b/dev-ruby/chruby/files/systemwide.sh
new file mode 100644
index 000000000000..e7859dfd8971
--- /dev/null
+++ b/dev-ruby/chruby/files/systemwide.sh
@@ -0,0 +1,7 @@
+if [ -n "$BASH_VERSION" ] || [ -n "$ZSH_VERSION" ]; then
+ source /usr/share/chruby/chruby.sh
+
+ # If you want chruby to auto-switch the `.ruby-version` of Ruby when you
+ # cd between your different projects, uncomment following line:
+ #source /usr/share/chruby/auto.sh
+fi
diff --git a/dev-ruby/chruby/metadata.xml b/dev-ruby/chruby/metadata.xml
new file mode 100644
index 000000000000..5f6d2b404613
--- /dev/null
+++ b/dev-ruby/chruby/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexey@zapparov.com</email>
+ <name>Alexey Zapparov</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/postmodern/chruby/issues</bugs-to>
+ <changelog>https://github.com/postmodern/chruby/blob/master/ChangeLog.md</changelog>
+ <remote-id type="github">postmodern/chruby</remote-id>
+ </upstream>
+</pkgmetadata>